Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class CompositeNode

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl
              org.jbpm.workflow.core.node.StateBasedNode
                  org.jbpm.workflow.core.node.CompositeNode

All Implemented Interfaces:
  Serializable, Contextable, ContextResolver, EventNodeInterface, Node, NodeContainer

Direct Known Subclasses:
  CompositeContextNode, ForEachNode

    public class CompositeNode

extends StateBasedNode
implements NodeContainer, EventNodeInterface

See Also:
  Serialized Form

Nested Class Summary
`class` | `CompositeNode.CompositeNodeEnd`
`class` | `CompositeNode.CompositeNodeStart`
`class` | `CompositeNode.NodeAndType`

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`EVENT_NODE_ENTER, EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`constraints, EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`CompositeNode()`

Method Summary
`boolean` | `acceptsEvent(String type, Object event)`
`void` | `addIncomingConnection(String type, Connection connection)`
`void` | `addNode(Node node)` Method for adding a node to this node container.
`void` | `addOutgoingConnection(String type, Connection connection)`
`CompositeNode.NodeAndType` | `getLinkedIncomingNode(String inType)`
`Map<String,CompositeNode.NodeAndType>` | `getLinkedIncomingNodes()`
`CompositeNode.NodeAndType` | `getLinkedOutgoingNode(String outType)`
`Map<String,CompositeNode.NodeAndType>` | `getLinkedOutgoingNodes()`
`Node` | `getNode(long id)` The node in this NodeContainer with the given id.
`Node[]` | `getNodes()` The Nodes of this NodeContainer.
`protected void` | `internalAddNode(Node node)`
`CompositeNode.NodeAndType` | `internalGetLinkedIncomingNode(String inType)`
`CompositeNode.NodeAndType` | `internalGetLinkedOutgoingNode(String outType)`
`Node` | `internalGetNode(long id)`
`Node[]` | `internalGetNodes()`
`protected void` | `internalRemoveNode(Node node)`
`boolean` | `isCancelRemainingInstances()`
`void` | `linkIncomingConnections(String inType, CompositeNode.NodeAndType inNode)`
`void` | `linkIncomingConnections(String inType, long inNodeId, String inNodeType)`
`void` | `linkOutgoingConnections(CompositeNode.NodeAndType outNode, String outType)`
`void` | `linkOutgoingConnections(long outNodeId, String outNodeType, String outType)`
`void` | `removeIncomingConnection(String type, Connection connection)`
`void` | `removeNode(Node node)` Method for removing a node from this node container
`void` | `removeOutgoingConnection(String type, Connection connection)`
`void` | `setCancelRemainingInstances(boolean cancelRemainingInstances)`
`void` | `validateAddIncomingConnection(String type, Connection connection)`
`void` | `validateAddOutgoingConnection(String type, Connection connection)`
`void` | `validateRemoveIncomingConnection(String type, Connection connection)`
`void` | `validateRemoveOutgoingConnection(String type, Connection connection)`

Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode
`addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`containsActions, getActions, getActionTypes, setActions`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addConstraint, getConstraint, getConstraints, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.workflow.core.NodeContainer
`resolveContext`

Constructor Detail

### CompositeNode

    public CompositeNode()

Method Detail

### getNode

    public Node getNode(long id)

  Description copied from interface: `NodeContainer`
  The node in this NodeContainer with the given id.

  Specified by:
    `getNode` in interface `NodeContainer`
  Returns:
    the node with the given id

### internalGetNode

    public Node internalGetNode(long id)

### getNodes

    public Node[] getNodes()

  Description copied from interface: `NodeContainer`
  The Nodes of this NodeContainer.

  Specified by:
    `getNodes` in interface `NodeContainer`
  Returns:
    the nodes

### internalGetNodes

    public Node[] internalGetNodes()

### addNode

    public void addNode(Node node)

  Description copied from interface: `NodeContainer`
  Method for adding a node to this node container. Note that the node will get an id unique for this node container.

  Parameters:
    `node` - the node to be added

### internalAddNode

    protected void internalAddNode(Node node)

### removeNode

    public void removeNode(Node node)

  Description copied from interface: `NodeContainer`
  Method for removing a node from this node container

  Parameters:
    `node` - the node to be removed

### internalRemoveNode

    protected void internalRemoveNode(Node node)

### acceptsEvent

    public boolean acceptsEvent(String type,
                                Object event)

  Specified by:
    `acceptsEvent` in interface `EventNodeInterface`

### linkIncomingConnections

    public void linkIncomingConnections(String inType,
                                        long inNodeId,
                                        String inNodeType)

### linkIncomingConnections

    public void linkIncomingConnections(String inType,
                                        CompositeNode.NodeAndType inNode)

### linkOutgoingConnections

    public void linkOutgoingConnections(long outNodeId,
                                        String outNodeType,
                                        String outType)

### linkOutgoingConnections

    public void linkOutgoingConnections(CompositeNode.NodeAndType outNode,
                                        String outType)

### getLinkedIncomingNode

    public CompositeNode.NodeAndType getLinkedIncomingNode(String inType)

### internalGetLinkedIncomingNode

    public CompositeNode.NodeAndType internalGetLinkedIncomingNode(String inType)

### getLinkedOutgoingNode

    public CompositeNode.NodeAndType getLinkedOutgoingNode(String outType)

### internalGetLinkedOutgoingNode

    public CompositeNode.NodeAndType internalGetLinkedOutgoingNode(String outType)

### getLinkedIncomingNodes

    public Map<String,CompositeNode.NodeAndType> getLinkedIncomingNodes()

### getLinkedOutgoingNodes

    public Map<String,CompositeNode.NodeAndType> getLinkedOutgoingNodes()

### validateAddIncomingConnection

    public void validateAddIncomingConnection(String type,
                                              Connection connection)

  Overrides:
    `validateAddIncomingConnection` in class `NodeImpl`

### addIncomingConnection

    public void addIncomingConnection(String type,
                                      Connection connection)

  Overrides:
    `addIncomingConnection` in class `NodeImpl`

### validateAddOutgoingConnection

    public void validateAddOutgoingConnection(String type,
                                              Connection connection)

  Overrides:
    `validateAddOutgoingConnection` in class `NodeImpl`

### addOutgoingConnection

    public void addOutgoingConnection(String type,
                                      Connection connection)

  Overrides:
    `addOutgoingConnection` in class `NodeImpl`

### validateRemoveIncomingConnection

    public void validateRemoveIncomingConnection(String type,
                                                 Connection connection)

  Overrides:
    `validateRemoveIncomingConnection` in class `NodeImpl`

### removeIncomingConnection

    public void removeIncomingConnection(String type,
                                         Connection connection)

  Overrides:
    `removeIncomingConnection` in class `NodeImpl`

### validateRemoveOutgoingConnection

    public void validateRemoveOutgoingConnection(String type,
                                                 Connection connection)

  Overrides:
    `validateRemoveOutgoingConnection` in class `NodeImpl`

### removeOutgoingConnection

    public void removeOutgoingConnection(String type,
                                         Connection connection)

  Overrides:
    `removeOutgoingConnection` in class `NodeImpl`

### isCancelRemainingInstances

    public boolean isCancelRemainingInstances()

### setCancelRemainingInstances

    public void setCancelRemainingInstances(boolean cancelRemainingInstances)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.